Subject: Re: [dispatch] Comments on draft-saintandre-sip-xmpp-presence-04

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 02 Apr 2013 22:07:10 -0600

Michael, I think your feedback has been addressed in -05. Please check.

On 3/9/13 5:29 PM, Michael Lundberg wrote:
> Peter,
> 
> Thanks for resubmitting the SIP-XMPP presence I-D.  I think this
> and the other documents are important as there are a lot of
> interworking issues today with XMPP and SIP/SIMPLE implementations,
> and I think these documents can help reduce some of those
> interworking challenges.
> 
> In order to help ensure interworking between different 
> implementations, I think Sections 5.2 and 5.3 need to have some 
> stronger ‘MUST’ language instead of SHOULDs, MAYs, etc.  This will 
> enforce proper and complete mappings between implementations that 
> conform to this document.
> 
> While I don’t think the document needs to enforce the use of the 
> <show/> element mapping discussed in 5.2, I think if
> implementations are going to use the mapping, this document should
> enforce the use of a specific namespace and describe the mapping of
> <show> values specified in RFC 6121 (i.e., away, dnd, chat, and
> xa).  This will at least allow a minimum set of standard mappings
> between XMPP and SIP, which can be expanded on in future
> document(s).  Section 5.3 could then also discuss how this mapping
> can be accomplished from SIP to XMPP if the SIP endpoints/devices
> support this same namespace.  One of the big interworking
> challenges with today’s implementations is the use of different
> namespaces given the extensibility of XML-based presence standards
> (e.g., PIDF, RPID), which allows individuals to create their own
> namespace.  This flexibility is good for ingenuity, but problematic
> for interworking between different implementations.  I think
> standardizing a basic set of common status information using a 
> specific namespace is needed, and this document is a good place to
> do that.
> 
> In my opinion, I do not think Section 6 should be part of this
> base document.  While I like the idea of encapsulating the SIP
> <presence> information into the XMPP message, I think this content
> should be a consideration for implementing ‘rich presence’.  As
> written, this method is only applicable for SIP to XMPP
> translation, and if the focus of this document is just ‘basic’
> presence information interworking, the SIP to XMPP mapping in
> Section 5.3 already describes a method for how this can be
> accomplished.
> 
> Regards, Michael _______________________________________________ 
> dispatch mailing list [email-masked] 
> https://www.ietf.org/mailman/listinfo/dispatch
>

---

From: Michael Lundberg <[email-masked]>
Date: Fri, 5 Apr 2013 16:13:33 -0400

Peter,

Thanks.  I think the updates look good. One additional suggestion is
to add the <show/> element to Table 7, with a note similar to the one
provided in Table 6.  This will provide a method for mapping 'away'
and 'dnd' information in the opposite direction.  Similar to the note
in Table 6, this would require the SIP implementation to support the
'jabber:client' namespace.  If the SIP implementation supports the
namespace, the gateway can then map the values directly into the
<show/> element of the XMPP presence messages.

Regards,
Michael

On Wed, Apr 3, 2013 at 12:07 AM, Peter Saint-Andre <[email-masked]> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
> Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/
>
> iQIcBAEBAgAGBQJRW6rtAAoJEOoGpJErxa2pF0sP/0IHN6cPgtVnXRKhYh8SrHi6
> 8MuBgX/ChhuIGS/OtNuO8b334KnBs65DjMakgVSTYqu+QD6ng/MIgLMtoumSbYv0
> EJWgyxKY8uuO5HMUshZ7p70ApK6+DD0PqeVKR7bKtFXPFGaVJ/6+NAzSAVSUAJze
> 4qVSbEkD8/ZQAzo+Y7IRuDXE8j70ZFhTAZUrK22GH00aw++CiXe6VqPBr0eDpsT+
> 6xJt9uTwoEBmJ4r97772VI1lX+wrZkQvuhysHyAyq+XsUGpMliFCT+sra5KqAjo1
> FDr0zSgz+zf3zqFolORaSaMxYe3Zfc8uzg7XBti3dhnZY0J1HtRZ+ZcBh49YxJc+
> ahMrw2K/MiVq+ZgDAwqp6qL64n1TgaXXToDprnYlxFWItlTH/E7oLAcZdBjc6ebn
> gRWsA/NuE/u12pggoKb42ifW3Zn5J6rGfx4YYSMPmHbzAqmzbOxntL2jKpfd092i
> BvoVMG/tS7zRiJTfrx+7fAwkUVBgB6SG1w61xPqupmVBc3KWtQyDsYkizLeRDzNx
> 5jghVEuuDkb/g27flFX4f5KsjXbpeOqoChEbaI0S9Mfk5QZvMgybFoq0Zbb1bhCu
> Tzia87u+/MiUPQQjaIde75TI33OMX2RsitAWA5+JoBoDKgTFzfd7BcrQrdY7uExo
> Cf07OkOWExZN9vonPOWk
> =Qs0U
> -----END PGP SIGNATURE-----